IoT

All Internet of Things (IoT) apis go here.

Base URLhttps://apiv2.telecomsxchange.com
AuthenticationHTTP Digest

#Buyer IoT History

POSThttps://apiv2.telecomsxchange.com/buyers/iothistory

Endpoint: POST /buyers/iothistory

Description

The POST /buyers/iothistory endpoint from the TelecomsXchange API allows users to fetch the history of their Internet of Things (IoT) events. The user can filter the history based on a range of dates, allowing a better analysis of specific time periods.

Request

The API expects a POST request at the https://apiv2.telecomsxchange.com/buyers/iothistory URL.

Headers:

  • Content-Type: This should be application/x-www-form-urlencoded.

Parameters:

  • date_from (required): The beginning date and time of the period you want to analyze. This should be in the format YYYY-MM-DD HH:MM:SS.
  • date_to (required): The ending date and time of the period you want to analyze. This should be in the format YYYY-MM-DD HH:MM:SS.

Response

The API will return a JSON object containing a list of all IoT events within the specified date range. Each object will contain detailed information about the event, such as the device used, the time, the type of event, etc.

Success Response Code: 200 OK

Note: Please refer to the API's error handling documentation for information on how the API behaves when an error occurs or if incorrect data is submitted.

Rate Limiting

Please refer to the documentation of the TelecomsXchange API for details on rate limiting.

Body parameters

application/x-www-form-urlencoded
date_fromdatetimerequired

From Date YYYY-MM-DD hh:mm:ss

Example 2021-01-01 00:00:00

date_todatetimerequired

To Date YYYY-MM-DD hh:mm:ss

Example 2023-06-15 00:00:00

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/buyers/iothistory" \
  -d "date_from=2021-01-01 00:00:00" \
  -d "date_to=2023-06-15 00:00:00"
MQTT messages3 results
TimeTopicPayloadDirectionCharged
2023-05-22 · 16:11:05weatherAmman 12°C and Mostly Cloudyinbound$0.0001
2023-05-21 · 21:32:19IOSOffinbound$0.0001
2023-05-20 · 13:49:40IOSOffinbound$0.0001
Rendered from the example response.